require_relative '../lib/project.rb'

describe Project  do
	it "should support the :url key" do
		project=Project.new
		# :url
    	expect(project[:url]).to eq('')
    	project[:url]='https://github.com/lou-parslow/dev_projects.gem.git'
    	expect(project[:url]).to eq('https://github.com/lou-parslow/dev_projects.gem.git')
	end

	it "should be able to get a unique_id" do
		project=Project.new
		project[:uri]='https://github.com/lou-parslow/dev_projects.gem.git'
		unique_id = project.get_latest_unique_id
		expect(unique_id.length).to eq(40)
	end

	it "should be able to rake" do
		project=Project.new( :url => 'https://github.com/lou-parslow/dev_git.gem.git', :name => 'test/dev_git.gem')
		project.clone
		expect(File.exists?(project.wrk_dir)).to eq(true)

		FileUtils.rm_r(project.wrk_dir)
		expect(File.exists?(project.wrk_dir)).to eq(false)
	end
end